phing-tasks-ext-phpunit

# Class: PHPUnitTestRunner Source Location: /tasks/ext/phpunit/PHPUnitTestRunner.php
### Class Overview
    PHPUnit_Runner_BaseTestRunner
       |
       --PHPUnitTestRunner
Simple Testrunner for PHPUnit that runs all tests of a testsuite. #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: PHPUnitTestRunner.php 592 2009-10-04 21:37:22Z mrook $ | ### Constants ERRORS FAILURES INCOMPLETES SKIPPED SUCCESS | ### Methods __construct addError addFailure addFormatter addIncompleteTest addSkippedTest endTest endTestSuite getLastFailureMessage getRetCode handleError run runFailed setCodecoverage startTest startTestSuite testEnded testFailed testStarted
### Class Details [line 35] Simple Testrunner for PHPUnit that runs all tests of a testsuite. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: PHPUnitTestRunner.php 592 2009-10-04 21:37:22Z mrook $
since: | 2.1.0
[ Top ] ### Class Methods ### static method handleError [line 72]
`static void handleError( $level, $message, $file, $line)`
#### Tags:
access: | public
#### Parameters:
| $level |
| $message |
| $file |
| $line |
[ Top ] ### constructor __construct [line 54]
`PHPUnitTestRunner __construct( $project, [ $groups = array()], [ $excludeGroups = array()])`
#### Parameters:
Project | $project |
| $groups |
| $excludeGroups |
[ Top ] ### method addError [line 151]
`void addError( $test, $e, float $time)`
An error occurred. #### Tags:
access: | public
#### Parameters:
PHPUnit_Framework_Test | $test |
Exception | $e |
float | $time |
[ Top ] ### method addFailure [line 163]
`void addFailure( $test, $e, float $time)`
A failure occurred. #### Tags:
access: | public
#### Parameters:
PHPUnit_Framework_Test | $test |
PHPUnit_Framework_AssertionFailedError | $e |
float | $time |
[ Top ] ### method addFormatter [line 67]
`void addFormatter( $formatter)`
#### Parameters:
| $formatter |
[ Top ] ### method addIncompleteTest [line 175]
`void addIncompleteTest( $test, $e, float $time)`
Incomplete test. #### Tags:
access: | public
#### Parameters:
PHPUnit_Framework_Test | $test |
Exception | $e |
float | $time |
[ Top ] ### method addSkippedTest [line 188]
`void addSkippedTest( $test, $e, float $time)`
Skipped test. #### Tags:
since: | Method available since Release 3.0.0
access: | public
#### Parameters:
PHPUnit_Framework_Test | $test |
Exception | $e |
float | $time |
[ Top ] ### method endTest [line 268]
`void endTest( $test, float $time)`
A test ended. #### Tags:
access: | public
#### Parameters:
PHPUnit_Framework_Test | $test |
float | $time |
[ Top ] ### method endTestSuite [line 249]
`void endTestSuite( $suite)`
A test suite ended. #### Tags:
since: | Method available since Release 2.2.0
access: | public
#### Parameters:
PHPUnit_Framework_TestSuite | $suite |
[ Top ] ### method getLastFailureMessage [line 139]
`void getLastFailureMessage( )`
[ Top ] ### method getRetCode [line 134]
`void getRetCode( )`
[ Top ] ### method run [line 83]
`void run( $test)`
Run a test #### Parameters:
| $test |
[ Top ] ### method runFailed [line 228]
`void runFailed( string $message)`
Override to define how to handle a failed loading of a test suite. #### Tags:
access: | protected
#### Parameters:
string | $message |
[ Top ] ### method setCodecoverage [line 62]
`void setCodecoverage( $codecoverage)`
#### Parameters:
| $codecoverage |
[ Top ] ### method startTest [line 258]
`void startTest( $test)`
A test started. #### Tags:
access: | public
#### Parameters:
PHPUnit_Framework_Test | $test |
[ Top ] ### method startTestSuite [line 239]
`void startTestSuite( $suite)`
A test suite started. #### Tags:
since: | Method available since Release 2.2.0
access: | public
#### Parameters:
PHPUnit_Framework_TestSuite | $suite |
[ Top ] ### method testEnded [line 207]
`void testEnded( string $testName)`
A test ended. #### Tags:
access: | public
#### Parameters:
string | $testName |
[ Top ] ### method testFailed [line 218]
`void testFailed( integer $status, $test, $e)`
A test failed. #### Tags:
access: | public
#### Parameters:
integer | $status |
PHPUnit_Framework_Test | $test |
PHPUnit_Framework_AssertionFailedError | $e |
[ Top ] ### method testStarted [line 198]
`void testStarted( string $testName)`
A test started. #### Tags:
access: | public
#### Parameters:
string | $testName |
[ Top ] ### Class Constants #### ERRORS = 2 [line 39] [ Top ] #### FAILURES = 1 [line 38] [ Top ] #### INCOMPLETES = 3 [line 40] [ Top ] #### SKIPPED = 4 [line 41] [ Top ] #### SUCCESS = 0 [line 37] [ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:43 +0200 by phpDocumentor 1.4.3